Subject: Re: How to clone faster via ssh ?

From: Alexander Litvinov <[email-masked]>
Date: Tue, 25 Oct 2005 18:30:24 +0700

> If you have a working git on the other side, you could do
>
> 	time git-clone lan@lan:/home/lan/tmp/git/billing/repo r3
>
> which would utilize git-clone-pack. Way faster.

I have tried this command:
lan@lan> time git-clone lan@lan:/home/lan/tmp/git/billing/repo r3
defaulting to local storage area
lan@lan's password:
Packing 204607 objects
Unpacking 204607 objects
Killed by signal 2.) done

real    4m0.874s
user    0m0.013s
sys     0m0.120s

I have killed it at ~ 20%. As I understand it does exactly what ssh git thru 
ssh transport does: git-rev-list |  git-pack | ssh | git-unpack or something 
like this. So it is not faster.